/supportsessionsCreate session
Create a session. Option to include parent object. "type" field in JSON body specifies the type of session to create. Values can be: - "live" for Live session - "support" for Remote Support session - "cobrowse" for CoBrowse session - "replay" for Replay session
Authorization
Request body
Required options to create Live session
typestring
labelstring
regionsarray
Array of allowable regions to run the session in. Useful for for geo-fencing and data compliance. Contact support@screenmeet.com to turn this feature on for your organization.
Array of allowable regions to run the session in. Useful for for geo-fencing and data compliance. Contact support@screenmeet.com to turn this feature on for your organization.
agentPrefsobject
audioboolean
Only applies to Live Sessions. Enable/disable audio at session start.
Only applies to Live Sessions. Enable/disable audio at session start.
knockboolean
Only applies to Live Sessions. Enable/disable knock-to-join at session start.
Only applies to Live Sessions. Enable/disable knock-to-join at session start.
recordboolean
Enable/disable recording at session start. Only applies if recording policy is set to agent-decides.
Enable/disable recording at session start. Only applies if recording policy is set to agent-decides.
guest_videoboolean
Only applies to Live Sessions. Enable/disable guest video at session start.
Only applies to Live Sessions. Enable/disable guest video at session start.
startwithrcboolean
Only applies to Remote Support sessions. Starts session with Remote Control enabled at session start. Will ask end-user for remote control entitlement as part of initial consent dialog.
Only applies to Remote Support sessions. Starts session with Remote Control enabled at session start. Will ask end-user for remote control entitlement as part of initial consent dialog.
startwithadminboolean
Only applies to Remote Support sessions on Windows only. Will attempt to escalate to admin on start if running as user. Will ask end-user for admin entitlement as part of initial consent dialog.
Only applies to Remote Support sessions on Windows only. Will attempt to escalate to admin on start if running as user. Will ask end-user for admin entitlement as part of initial consent dialog.
userDescriptionstring
{
"Example for Live ": {
"value": {
"type": "live",
"label": "My Live Session",
"agentPrefs": {
"audio": true,
"knock": false,
"record": false,
"guest_video": true
},
"userDescription": "ScreenMeet Admin"
}
},
"Example for Remote Support ": {
"value": {
"type": "support",
"label": "My Remote Support Session",
"agentPrefs": {
"record": true,
"startwithrc": true,
"startwithadmin": true
},
"userDescription": "Johhny B"
}
},
"To Create Related Parent Object": {
"value": {
"type": "support",
"label": "My Support Session for case0194234",
"agentPrefs": {
"audio": true,
"knock": false,
"record": false,
"guest_video": false
},
"parentObject": {
"id": "case0194234",
"app": "myapp",
"name": "My Object",
"sync": false,
"type": "case",
"provider": "mypartnername"
},
"externalMapping": "",
"userDescription": "Support Agent"
}
}
}Responses
Support session created successfully
idstring
pininteger
typestring
urlsobject
hoststring
userstring
labelstring
statusstring
metaDataobject
serverSelectionWhitelistarray
settingsobject
audioboolean
knockboolean
recordingboolean
guest_videoboolean
startwithrcboolean
startwithadminboolean
createdAtstring
expiresAtstring
scheduledboolean
updatedAtstring
unattendedboolean
hostAuthTokenstring
ExternalUserIdinteger
OrganizationIdinteger
userDescriptionstring
createdByAgentSessionobject
sidinteger
rolesobject
agentboolean
sysdaminboolean
supervisorboolean
group_adminboolean
manage_beamboolean
manage_orgsboolean
manage_usersboolean
manage_adminsboolean
manage_serversboolean
manage_api_keysboolean
manage_licensesboolean
manage_partnersboolean
manage_analyticsboolean
manage_clientdistboolean
manage_config_typesboolean
manage_configurationsboolean
manage_file_asset_typesboolean
manage_preserved_sessionsboolean
featuresobject
aiassistboolean
style_v2_feature_toggleboolean
agents_with_permission_sysadmin_reportboolean
customer_licensing_statistics_sysadmin_displayboolean
providerstring
remoteIpstring
clientAppstring
expiresAtstring
startedAtstring
userAgentstring
providerExternalIdstring
{
"Example for Remote Support": {
"value": {
"id": "aAVgKB",
"pin": 668259,
"type": "support",
"urls": {
"host": "https://integration.screenmeet.com/viewer/index.html?aAVgKB",
"user": "https://myhelpscreen.com/668259"
},
"label": "my test session",
"status": "new",
"metaData": {
"serverSelectionWhitelist": [
"us-east-1",
"us-east-2",
"us-west-2"
]
},
"settings": {
"audio": true,
"knock": false,
"recording": true,
"guest_video": true,
"startwithrc": true,
"startwithadmin": true
},
"createdAt": "2025-07-07T13:53:25.680Z",
"expiresAt": "2025-07-07T14:53:25.705Z",
"scheduled": false,
"updatedAt": "2025-07-07T13:53:25.680Z",
"unattended": false,
"hostAuthToken": "LoBtuAbbXumuVuFuXbBdYjkHLTmxPWGw",
"ExternalUserId": 123456,
"OrganizationId": 888,
"userDescription": "Eugene A",
"createdByAgentSession": {
"sid": 30093648,
"roles": {
"agent": true,
"sysdamin": true,
"supervisor": false,
"group_admin": true,
"manage_beam": true,
"manage_orgs": true,
"manage_users": true,
"manage_admins": true,
"manage_servers": true,
"manage_api_keys": false,
"manage_licenses": true,
"manage_partners": true,
"manage_analytics": false,
"manage_clientdist": true,
"manage_config_types": true,
"manage_configurations": true,
"manage_file_asset_types": true,
"manage_preserved_sessions": false
},
"features": {
"aiassist": true,
"style_v2_feature_toggle": true,
"agents_with_permission_sysadmin_report": false,
"customer_licensing_statistics_sysadmin_display": false
},
"provider": "jwt",
"remoteIp": "69.121.93.63",
"clientApp": null,
"expiresAt": "2025-07-10T18:59:17.000Z",
"startedAt": "2025-07-03T18:59:17.000Z",
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/137.0.0.0 Safari/537.36",
"providerExternalId": "5286205"
}
}
}
}Authorization Problem - either the JWT is malformed or the signature is bad, or permission is denied
codenumber
refcodenumber
descriptionstring
X-Request-Idstring
{
"PermissionDenied": {
"value": {
"code": 403,
"refcode": 200403,
"description": "Authorization token is invalid: Error request id: 1-62ed207a-24baa293558168e06b8402c3 [8/5/2022, 6:51:54 AM PST]",
"X-Request-Id": "1-62ed207a-24baa293558168e06b8402c3"
}
},
"MalformedJWTOrBadSignature": {
"value": {
"code": 403,
"refcode": 200403,
"description": "Authorization token is invalid: JsonWebTokenError request id: 1-62ed1a55-0265e424598b4f1b580bd784 [8/5/2022, 6:25:41 AM PST]",
"X-Request-Id": "1-62ed1a55-0265e424598b4f1b580bd784"
}
}
}